Subject: bug#68174: 30.0.50; Project and VC disagree about what repository we're in

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Jan 2024 14:41:03 +0200

> Date: Wed, 3 Jan 2024 02:13:07 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > If it's safe, you'd need to convince me.  Because just by looking at
> > it, I don't have a clear idea what else it could affect.
> 
> It's not a trivial transformation, but it's semantically sound: 
> log-view-mode saves -- or one might say caches -- the backend and the 
> fileset in its own variables locally (referenced in the diff above). The 
> commands in log-view.el (of which there are several) use those vars 
> rather than look up vc-parent-buffer, so the values should be correct.

Thanks.  Let's see if there are some use cases which actually benefit
from an ad-hoc decision at that place instead of using the stashed
values.